// 自动生成模板Unit
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// Unit 结构体
// 如果含有time.Time 请自行import time包
type Unit struct {
	global.GVA_MODEL
	UnitName        string `json:"unitName" form:"unitName" gorm:"column:unit_name;comment:单位名称;type:varchar(200);"`
	Period          string `json:"period" form:"period" gorm:"column:period;comment:期编号;type:varchar(40);"`
	UnitIntegral    *int   `json:"unitIntegral" form:"unitIntegral" gorm:"column:unit_integral;comment:现有积分;type:int"`
	UnitMaxIntegral *int   `json:"unitMaxIntegral" form:"unitMaxIntegral" gorm:"column:unit_max_integral;comment:满分;type:int"`
	Remark          string `json:"remark" form:"remark" gorm:"column:remark;comment:单位类型;type:varchar(600);"`
	//Place           Place   `json:"place" gorm:"foreignKey:PlaceId;references:PlaceId;comment:点位id"`
	//Places          []Place `json:"places" gorm:"many2many:place;"`
}

// TableName Unit 表名
func (Unit) TableName() string {
	return "unit"
}
